/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service.impl;

import com.crunii.micro.core.annotation.InjectProperty;
import com.crunii.micro.feign.client.SmsService;
import com.crunii.micro.service.sysmgr.dto.sysmgr.TestVo;
import com.crunii.micro.service.sysmgr.jdbc.TestJdbcDao;
import com.crunii.micro.service.sysmgr.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author shenhs create 2023/5/24 16:46
 */
@Service
public class TestServiceImpl implements TestService {

	@Autowired
	private TestJdbcDao jdbcDao;

	@Autowired
	private SmsService smsService;

	@InjectProperty
	@Override public TestVo testPropertyTranslate() {
		TestVo testVo = new TestVo();
		testVo.setCode("1");
		return testVo;
	}

	public void updateObsFile(){
		smsService.updateTestFile();
		jdbcDao.updateObsFile();
	}
}
